#ifndef __INPUT_H
#define __INPUT_H

#include "screen.h"
#include "bitmap.h"
#include "line.h"


class Input : public Bitmap
{
  public:
    Input( Screen* newScreen, int x0, int y0, int width, int height );
    virtual ~Input( void );

    char* start( void );
    void  setText( char* text );

    virtual void draw( void );

protected:
  Line *left, *right, *upper, *lower;
  char* sBuffer;
  int maxChars;
  int cursorPos;
};


#endif // __INPUT_H
